com.amazonaws.services.machinelearning.model

## Enum MLModelType

- java.lang.Object
- - java.lang.Enum<MLModelType>
  - - com.amazonaws.services.machinelearning.model.MLModelType

All Implemented Interfaces:
  Serializable, Comparable<MLModelType>

    public enum MLModelType
    extends Enum<MLModelType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BINARY`
`MULTICLASS`
`REGRESSION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MLModelType` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static MLModelType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MLModelType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REGRESSION

    public static final MLModelType REGRESSION

#### BINARY

    public static final MLModelType BINARY

#### MULTICLASS

    public static final MLModelType MULTICLASS

### Method Detail

#### values

    public static MLModelType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MLModelType c : MLModelType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MLModelType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<MLModelType>`

#### fromValue

    public static MLModelType fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  MLModelType corresponding to the value